Bug 19141 - patch: xmms 1.2.x can't play mp3s
Summary: patch: xmms 1.2.x can't play mp3s
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xmms   
(Show other bugs)
Version: 4.2
Hardware: alpha
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-15 17:28 UTC by Need Real Name
Modified: 2014-03-17 02:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-15 17:29:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix xmms/mpg123 (375 bytes, patch)
2000-10-15 17:29 UTC, Need Real Name
no flags Details | Diff

Description Need Real Name 2000-10-15 17:28:05 UTC
xmms 1.2.x's mpg123 input plugin can't properly play mp3s.  It is a bug in
the layer3 decoder which affects alphas (and probably other 64-bit
architectures).  The problem exists in the latest released version of
mpg123, and was introduced to xmms when it upgraded the plugin to the
latest version of mpg123.  The problem has been fixed in the mpg123 cvs,
and that is from where this patch comes.

--- xmms-1.2.3/Input/mpg123/layer3.c.orig	Wed Aug  2 06:47:50 2000
+++ xmms-1.2.3/Input/mpg123/layer3.c	Fri Oct 13 00:05:16 2000
@@ -637,7 +637,7 @@

 #define REFRESH_MASK()					\
 while(num < BITSHIFT) {					\
-	mask |= mpg123_getbyte() << (BITSHIFT - num);	\
+	mask |= ((unsigned long)mpg123_getbyte()) << (BITSHIFT - num);	\
 	num += 8;					\
 	part2remain -= 8;				\
 }

Comment 1 Need Real Name 2000-10-15 17:29:10 UTC
Created attachment 4171 [details]
patch to fix xmms/mpg123

Comment 2 Bill Nottingham 2000-10-17 04:33:02 UTC
will be fixed in 1.2.3-2, which should be in next rawhide release.

Comment 3 Matt Wilson 2000-10-17 06:07:18 UTC
Actually, xmms and mpg123 were working fine with gcc 2.96 without this patch.


Note You need to log in before you can comment on or make changes to this bug.